%define major      79
%define libname    %mklibname %{name} %{major}
%define gtklibname %mklibname gwengui-gtk3_ %{major}
%define qt5libname %mklibname gwengui-qt5_ %{major}
%define cpplibname %mklibname gwengui-cpp %{major}
%define develname  %mklibname %{name} -d

Name:           gwenhywfar
Version:        5.12.0
Release:        %mkrel 1
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.aquamaniac.de/rdm/
Source:         https://www.aquamaniac.de/rdm/attachments/download/529/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  autoconf >= 2.58
BuildRequires:  gettext-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)

Recommends:     %{name}-gui = %{version}

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %libname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %qt5libname
Summary:        A Qt5 multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %qt5libname
This is Gwenhywfar, a Qt5 multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %gtklibname
Summary:        A GTK multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %gtklibname
This is Gwenhywfar, a GTK multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %cpplibname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %cpplibname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %develname
Summary:        Gwenhywfar development kit
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{qt5libname} = %{version}
Requires:       %{gtklibname} = %{version}
Requires:       %{cpplibname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%autosetup

%build
export PATH=%{_qt5_bindir}:$PATH
%configure \
        --enable-system-certs \
        --disable-static \
        --disable-rpath \
        --with-guis="qt5 gtk3" \
        --with-openssl-libs=%{_libdir} \
        --with-qt5-qmake=%{_qt5_bindir}/qmake \
        --with-qt5-moc=%{_qt5_bindir}/moc \
        --with-qt5-uic=%{_qt5_bindir}/uic || (cat config.log && exit 1)

%make_build QT_LIBS='-lQt5Core -lQt5Gui -lQt5Widgets'

%install
%make_install

# use system ca-certificates
rm -f %{buildroot}%{_datadir}/%{name}/ca-bundle.crt
ln -sf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
        %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/gct-tool
%{_datadir}/%{name}/

%files -n %libname
%{_libdir}/libgwenhywfar.so.%{major}{,.*}
%{_libdir}/%{name}/

%files -n %qt5libname
%{_libdir}/libgwengui-qt5.so.%{major}{,.*}

%files -n %gtklibname
%{_libdir}/libgwengui-gtk3.so.%{major}{,.*}

%files -n %cpplibname
%{_libdir}/libgwengui-cpp.so.%{major}{,.*}

%files -n %develname
%{_bindir}/gwbuild
%{_bindir}/gwenhywfar-config
%{_bindir}/gsa
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_includedir}/gwenhywfar5/
%{_libdir}/*.so
%{_libdir}/cmake/gwengui-qt5-*/
%{_libdir}/cmake/%{name}-*/
%{_libdir}/cmake/gwengui-cpp-*/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4
%{_datadir}/gwenbuild/templates/*.tmpl


%changelog
* Wed Dec 18 2024 daviddavid <daviddavid> 5.12.0-1.mga10
+ Revision: 2126082
- new version: 5.12.0

* Fri Sep 01 2023 daviddavid <daviddavid> 5.10.2-1.mga10
+ Revision: 1983297
- new version: 5.10.2

* Tue Nov 15 2022 daviddavid <daviddavid> 5.10.1-1.mga9
+ Revision: 1907699
- new version: 5.10.1

* Mon Mar 28 2022 kekepower <kekepower> 5.9.0-1.mga9
+ Revision: 1829775
- Update to version 5.9.0
+ wally <wally>
- fix RPATH issue
- rebuild for openssl 3.0.0

* Tue Mar 02 2021 daviddavid <daviddavid> 5.6.0-1.mga9
+ Revision: 1696108
- new version: 5.6.0

* Wed Dec 16 2020 umeabot <umeabot> 5.3.0-2.mga8
+ Revision: 1658551
- Rebuild for new Qt5

* Sat May 16 2020 zezinho <zezinho> 5.3.0-1.mga8
+ Revision: 1584679
- new version 5.3.0

* Wed Feb 19 2020 umeabot <umeabot> 5.1.2-2.mga8
+ Revision: 1543732
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 zezinho <zezinho> 5.1.2-1.mga8
+ Revision: 1482199
- new version
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 06 2019 zezinho <zezinho> 4.99.24rc8-1.mga8
+ Revision: 1458355
- new version 4.99.24rc8wq

* Fri Oct 11 2019 zezinho <zezinho> 4.99.22rc6-1.mga8
+ Revision: 1451958
- new version 4.99.22rc6

* Sun Oct 06 2019 zezinho <zezinho> 4.99.21rc5-1.mga8
+ Revision: 1449973
- new pre 5 rc version to fix mga#25515

* Fri Sep 27 2019 daviddavid <daviddavid> 4.20.2-2.mga8
+ Revision: 1447666
- switch to Gtk3

* Fri Sep 27 2019 zezinho <zezinho> 4.20.2-1.mga8
+ Revision: 1447664
- use system certs
- add BR on KF5ItemViews
- remove qt4 gui no more used
- new bugfix version 4.20.2

* Sat Mar 30 2019 umeabot <umeabot> 4.20.0-3.mga7
+ Revision: 1381887
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.20.0-2.mga7
+ Revision: 1298155
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 zezinho <zezinho> 4.20.0-1.mga7
+ Revision: 1204713
- new version 4.20 fixing major lib version regression

* Fri Feb 23 2018 zezinho <zezinho> 4.19.0-1.mga7
+ Revision: 1204357
- strange reduced major
- new version 4.19

* Wed Feb 21 2018 daviddavid <daviddavid> 4.18.0-2.mga7
+ Revision: 1203883
- enable the Qt5 GUI support

* Sun Nov 12 2017 zezinho <zezinho> 4.18.0-1.mga7
+ Revision: 1177044
- new version

* Sat Sep 09 2017 cjw <cjw> 4.15.3-2.mga7
+ Revision: 1152131
- rebuild for openssl 1.1

* Thu Dec 22 2016 daviddavid <daviddavid> 4.15.3-1.mga6
+ Revision: 1076449
- new version: 4.15.3
- switch BRs to pkgconfig()

* Wed Mar 02 2016 umeabot <umeabot> 4.13.1-4.mga6
+ Revision: 983452
- Rebuild for openssl

* Tue Jan 12 2016 luigiwalser <luigiwalser> 4.13.1-3.mga6
+ Revision: 922301
- add patch from fedora to fix build with gnutls 3.4
- rebuild for gnutls

* Mon Sep 14 2015 fwang <fwang> 4.13.1-2.mga6
+ Revision: 879060
- rebuild for new libgcrypt

* Thu Sep 03 2015 zezinho <zezinho> 4.13.1-1.mga6
+ Revision: 872598
- new version 4.13.1

* Wed Oct 15 2014 umeabot <umeabot> 4.10.0-3.mga5
+ Revision: 740515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.0-2.mga5
+ Revision: 680059
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Feb 10 2014 fwang <fwang> 4.10.0-1.mga5
+ Revision: 587885
- add missing so files
- 4.10.0 beta

* Fri Oct 18 2013 umeabot <umeabot> 4.3.3-3.mga4
+ Revision: 505399
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3.3-2.mga3
+ Revision: 353058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 4.3.3-1.mga3
+ Revision: 257654
- new version 4.3.3

* Sat Dec 31 2011 fwang <fwang> 4.3.1-1.mga2
+ Revision: 189216
- drop merged patch
- new version 4.3.1

* Wed Sep 21 2011 fwang <fwang> 4.3.0-1.mga2
+ Revision: 146342
- fix pathnum
- drop invalid symbol
- new version 4.3.0
- drop .la files
- new version 4.2.1
- rebuild for new gnutls

* Mon Jun 27 2011 fwang <fwang> 4.1.0-1.mga2
+ Revision: 114611
- new version 4.1.0

* Tue Apr 19 2011 pterjan <pterjan> 4.0.9-1.mga1
+ Revision: 88816
- Update to 4.0.9
- Use system certificates

* Thu Feb 10 2011 spuhler <spuhler> 4.0.4-1.mga1
+ Revision: 49672
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package gwenhywfar


* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 4.0.4-1mdv2011.0
+ Revision: 636962
- 4.0.4

* Tue Nov 23 2010 Funda Wang <fwang@mandriva.org> 4.0.2-1mdv2011.0
+ Revision: 599869
- new version 4.0.2

* Tue Sep 21 2010 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2011.0
+ Revision: 580313
- new version 4.0.1
- promote gui package for downstream programs

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2011.0
+ Revision: 574498
- new version 4.0.0

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 3.99.25-1mdv2011.0
+ Revision: 574282
- new version 3.99.25

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 3.99.22-1mdv2011.0
+ Revision: 571749
- New version 3.99.22

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 3.99.16-1mdv2011.0
+ Revision: 565947
- New version 3.99.16

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 3.99.13-1mdv2011.0
+ Revision: 562952
- 3.99.13 towards 4.0

* Fri May 07 2010 Funda Wang <fwang@mandriva.org> 3.11.7-3mdv2010.1
+ Revision: 543198
- rebuild

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 3.11.7-2mdv2010.1
+ Revision: 541604
- fix obsoletes

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 3.11.7-1mdv2010.1
+ Revision: 534692
- new version 3.11.7

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 3.11.6-3mdv2010.1
+ Revision: 532083
- rebuild for new openssl

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 3.11.6-2mdv2010.1
+ Revision: 530479
- fix wrong pkg name

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 3.11.6-1mdv2010.1
+ Revision: 530459
- New version 3.11.6

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.11.3-2mdv2010.1
+ Revision: 511572
- rebuilt against openssl-0.9.8m

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 3.11.3-1mdv2010.1
+ Revision: 485006
- Update to new version 3.11.3

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 3.11.1-2mdv2010.0
+ Revision: 454745
- do not package huge ChangeLog

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 3.11.1-1mdv2010.0
+ Revision: 448014
- Update to new version 3.11.1

* Fri Sep 11 2009 Emmanuel Andry <eandry@mandriva.org> 3.10.1-1mdv2010.0
+ Revision: 438475
- New version 3.10.1

* Sun Jun 21 2009 Funda Wang <fwang@mandriva.org> 3.9.0-1mdv2010.0
+ Revision: 387555
- new version 2.9.0

* Sat Jun 06 2009 Götz Waschk <waschk@mandriva.org> 3.8.2-1mdv2010.0
+ Revision: 383345
- new version
- drop patch 1

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 3.8.1-1mdv2010.0
+ Revision: 381420
- fix build with gnutls 2.8
- New version 3.8.1

* Tue Apr 28 2009 Götz Waschk <waschk@mandriva.org> 3.8.0-1mdv2010.0
+ Revision: 369098
- new version
- drop patch 1
- update URL

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 3.7.2-1mdv2009.1
+ Revision: 348225
- update to new version 3.7.2

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 3.7.1-1mdv2009.1
+ Revision: 335855
- New version 3.7.1

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 3.7.0-1mdv2009.1
+ Revision: 332694
- New version 3.7.0

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 3.5.2-2mdv2009.1
+ Revision: 309997
- rebuild to get rid of libtasn1 dep
- fix source URL

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 3.5.2-1mdv2009.1
+ Revision: 301681
- new version

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 3.5.1-1mdv2009.1
+ Revision: 294849
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 274270
- update build deps
- new version
- update license
- fix build

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 3.3.5-1mdv2009.0
+ Revision: 233016
- new version

* Sat Jun 14 2008 Funda Wang <fwang@mandriva.org> 3.3.4-1mdv2009.0
+ Revision: 219134
- New version 3.3.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 3.3.3-1mdv2009.0
+ Revision: 216783
- New version 3.3.3

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 3.3.2-2mdv2009.0
+ Revision: 212177
- New version 3.3.2

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2009.0
+ Revision: 196639
- new version
- back to 3.2.0

  + mandrake <mandrake@mandriva.com>
    - %%repsys markrelease
      version: 3.2.0
      release: 1mdv2009.0
      revision: 194557
      Copying 3.2.0-1mdv2009.0 to releases/ directory.

* Wed Apr 16 2008 Funda Wang <fwang@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 194557
- BR libgcrypt-devel
- New version 3.2.0
- New major 38->47

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - remove useless URLs of other projects from descriptions

* Fri Nov 23 2007 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2008.1
+ Revision: 111451
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2008.0
+ Revision: 79972
- new version
- new devel name

* Sat May 19 2007 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2008.0
+ Revision: 28457
- new version


* Thu Dec 28 2006 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2007.0
+ Revision: 102209
- new version
- unpack patch

* Wed Sep 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2007.0
- New version 2.4.1

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2007.0
- New release 2.4.0

* Sat Jul 15 2006 Götz Waschk <waschk@mandriva.org> 2.3.1-1
- New release 2.3.1

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2007.0
- New release 2.3.0

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdk
- New release 2.2.0

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdk
- New release 2.1.1

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdk
- New release 2.1.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 1.99.7-1mdk
- New release 1.99.7

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.99.6-1mdk
- New release 1.99.6

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.99.5-1mdk
- New release 1.99.5

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.99.4-1mdk
- New release 1.99.4

* Wed Jan 11 2006 Götz Waschk <waschk@mandriva.org> 1.99.3-1mdk
- new major
- New release 1.99.3

* Thu Dec 15 2005 Götz Waschk <waschk@mandriva.org> 1.99.2-1mdk
- New release 1.99.2

* Thu Dec 08 2005 Götz Waschk <waschk@mandriva.org> 1.99.1-2mdk
- fix deps for upgrades

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 1.99.1-1mdk
- new major
- update file list
- New release 1.99.1

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.19.0-2mdk
- rebuild against openssl-0.9.8
- add missing buildrequires

* Wed Nov 02 2005 Götz Waschk <waschk@mandriva.org> 1.19.0-1mdk
- update file list
- New release 1.19.0

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdk
- New release 1.17.0

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 1.15.0-1mdk
- update file list
- New release 1.15.0

* Tue Jul 12 2005 Götz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- New release 1.14.0

* Wed Jun 15 2005 Götz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Sat May 28 2005 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Thu May 26 2005 Götz Waschk <waschk@mandriva.org> 1.13.1-1mdk
- New release 1.13.1

* Sat May 21 2005 Götz Waschk <waschk@mandriva.org> 1.13.0-1mdk
- New release 1.13.0

* Tue May 03 2005 Götz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Tue Apr 26 2005 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.10.0-1mdk 
- Release 1.10.0
- Regenerate patch0

* Tue Mar 08 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-2mdk
- lib64 fixes

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 1.8.0-1mdk
- add CA Certificates file
- New release 1.8.0

* Tue Feb 15 2005 Jerome Soyer <saispo@mandrake.org> 1.7.2-1mdk
- New release

* Mon Dec 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- fix provides

* Mon Dec 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package

